/*
 * eth_icmp.hpp
 *
 *  Created on: 14 . 2023 .
 *      Author: sychev
 */

#ifndef FREE_RTOS_ETHERNET_IP_ETH_ICMP_HPP_
#define FREE_RTOS_ETHERNET_IP_ETH_ICMP_HPP_

#include "handler_store/handler.hpp"

#include <cstdint>

namespace free_rtos {

class EthIcmp : public Handler {
public:
    virtual int32_t Process(uint8_t * p_data, uint32_t len) override;

    uint32_t getStat() {return rx_cnt_;};
private:
    uint32_t rx_cnt_ = 0;
};

}

#endif /* FREE_RTOS_ETHERNET_IP_ETH_ICMP_HPP_ */
